### org.jfree.layouting.renderer.model

# Class RenderNodeState

- `java.lang.Object`
- - `org.jfree.layouting.renderer.model.RenderNodeState`

`public class RenderNodeState`
`extends java.lang.Object`

Creation-Date: 01.07.2006, 14:38:13

Author:
  Thomas Morgner

  ## Field Summary

  `static RenderNodeState`

  `FINISHED`
    The box is fully layouted and ready to be painted.

  `static RenderNodeState`

  `LAYOUTING`
    The box has done at least some layouting and has cached some information.

  `static RenderNodeState`

  `PENDING`
    The node or one of its childs or predecessors has got new childs.

  `static RenderNodeState`

  `UNCLEAN`
    The node is new or has undergone some major structural changes.

  ## Method Summary

  `int`

  `getWeight()`

  `String`

  `toString()`

## Field Details

### FINISHED

    public static final RenderNodeState FINISHED

> The box is fully layouted and ready to be painted. An open box should never reach the finished state.

### LAYOUTING

    public static final RenderNodeState LAYOUTING

> The box has done at least some layouting and has cached some information. Layouting is not finished. (Maybe the preferred size has been computed and stored for later use.)

### PENDING

    public static final RenderNodeState PENDING

> The node or one of its childs or predecessors has got new childs. The position is still valid, but all pending or unclean childs have to be revalidated. This may affect the margins of this box, so recompute them.

### UNCLEAN

    public static final RenderNodeState UNCLEAN

> The node is new or has undergone some major structural changes. Dont assume anything.

## Method Details

### getWeight

    public int getWeight()

### toString

    public String toString()